%define upstream_name    Test-Log-Dispatch
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Test what you are logging
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Dispatch::Array)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester)
BuildArch: noarch


%description
'Test::Log::Dispatch' is a 'Log::Dispatch' object that keeps track of
everything logged to it in memory, and provides convenient tests against
what has been logged.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-14.mga9
+ Revision: 1811467
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.30.0-13.mga8
+ Revision: 1523829
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Mar 12 2019 tv <tv> 0.30.0-12.mga7
+ Revision: 1374833
- fix summary+desc

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-11.mga7
+ Revision: 1286669
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-10.mga7
+ Revision: 1166800
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.30.0-9.mga7
+ Revision: 1159326
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1034311
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 930698
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 742904
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 686477
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-4.mga4
+ Revision: 515225
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 373580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 37206
- mageia rebuild
- imported package perl-Test-Log-Dispatch

